Debian Bug report logs - #220492
gdm: a new version is available

version graph

Package: gdm; Maintainer for gdm is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Patrizio Bruno <scain@firenze.net>

Date: Wed, 12 Nov 2003 23:33:26 UTC

Severity: wishlist

Tags: sid

Merged with 235341

Found in version 2.4.1.7-1

Fixed in version gdm/2.4.4.7-1

Done: Ryan Murray <rmurray@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#220492; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Patrizio Bruno <scain@firenze.net>:
New Bug report received and forwarded. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrizio Bruno <scain@firenze.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm: a new version is available
Date: Thu, 13 Nov 2003 01:30:43 +0100
Package: gdm
Version: 2.4.1.7-1
Severity: wishlist
Tags: sid

a new stable version of gdm is available from the gnome ftp: 2.4.4.5



-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux goljadkin 2.6.0-test9 #1 Wed Nov 5 21:05:47 CET 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages gdm depends on:
ii  adduser                    3.51          Add and remove users and groups
ii  debconf                    1.3.18        Debian configuration management sy
ii  dpkg                       1.10.17       Package maintenance system for Deb
ii  libart-2.0-2               2.3.16-1      Library of functions for 2D graphi
ii  libatk1.0-0                1.4.1-1       The ATK accessibility toolkit
ii  libaudiofile0              0.2.3-4       The Audiofile Library
ii  libbonobo2-0               2.4.1-2       Bonobo CORBA interfaces library
ii  libbonoboui2-0             2.4.0-4       The Bonobo UI library
ii  libbz2-1.0                 1.0.2-1       A high-quality block-sorting file 
ii  libc6                      2.3.2.ds1-10  GNU C Library: Shared libraries an
ii  libesd0                    0.2.29-1      Enlightened Sound Daemon - Shared 
ii  libgconf2-4                2.4.0.1-2     GNOME configuration database syste
ii  libgcrypt1                 1.1.12-4      LGPL Crypto library - runtime libr
ii  libglade2-0                2.0.1-6       Library to load .glade files at ru
ii  libglib2.0-0               2.2.3-1       The GLib library of C routines
ii  libgnome2-0                2.4.0-4       The GNOME 2 library - runtime file
ii  libgnomecanvas2-0          2.4.0-1       A powerful object-oriented display
ii  libgnomeui-0               2.4.0.1-5     The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0             2.4.1-4       The GNOME virtual file-system libr
ii  libgnomevfs2-common        2.4.1-4       The GNOME virtual file-system libr
ii  libgnutls7                 0.8.12-1      GNU TLS library - runtime library
ii  libgsf-1                   1.8.2-3       Structured File Library - runtime 
ii  libgtk2.0-0                2.2.4-2       The GTK+ graphical user interface 
ii  libjpeg62                  6b-9          The Independent JPEG Group's JPEG 
ii  liborbit2                  1:2.8.1-5     Libraries for ORBit2 - a CORBA ORB
ii  libpam-modules             0.76-14       Pluggable Authentication Modules f
ii  libpam-runtime             0.76-14       Runtime support for the PAM librar
ii  libpam0g                   0.76-14       Pluggable Authentication Modules l
ii  libpango1.0-0              1.2.5-2       Layout and rendering of internatio
ii  libpopt0                   1.7-2         lib for parsing cmdline parameters
ii  librsvg2-2                 2.4.0-2       SAX-based renderer library for SVG
ii  libtasn1-0                 0.1.2-1       Manage ASN.1 structures (runtime)
ii  libwrap0                   7.6-ipv6.1-3  Wietse Venema's TCP wrappers libra
ii  libxml2                    2.5.11-2      GNOME XML library
ii  xlibs                      4.3.0-0pre1v3 X Window System client libraries
ii  zlib1g                     1:1.1.4-16    compression library - runtime

-- debconf information:
  gdm/daemon_name: /usr/bin/gdm
* shared/default-x-display-manager: gdm




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#220492; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Mantas Kriaučiūnas <monte@mail.lt>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #10 received at 220492@bugs.debian.org (full text, mbox):

From: Mantas Kriaučiūnas <monte@mail.lt>
To: 220492@bugs.debian.org
Cc: debian-gtk-gnome@lists.debian.org
Subject: GDM still from gnome 2.2 and contains lots of bugs :(
Date: Fri, 28 Nov 2003 02:08:58 +0200
Hi,

There are plans to release gdm for gnome 2.4 ?

Several new stable versions of gdm released by upstream - for example
2.4.4.0, 2.4.4.1, 2.4.4.2, 2.4.4.3, 2.4.4.4, 2.4.4.5 with lots of important
changes (look for example at new graphical face bowser at
http://art.gnome.org/images/thumbnails/gdm_greeter/GDM-Cropcircles.png):

- Completely new session setup, born out of discussions with Oswald
  Buddenhagen, the KDM maintainer, which will bring about common session
  setup for both GDM and KDM.  We now basically have a common
  /etc/X11/dm/Sessions directory where there are .desktop files are stored
  which describe sessions and these will be shared among KDM and GDM.
  Among other things this also makes the face browser default to using
  ~/.face and the per user saved info is in ~/.dmrc

(I think this is very importand for debian)

- The greeter.dtd is updated and there is theme creation documentation
  (Brian Cameron, Aidan Butler, me)

- A face browser for the graphical greeter.  This is selecting by selecting
  a theme that implements it.  Add happygnome-list which does.
  (Patrizio Bruno, me)

- The standard greeter has a GtkTreeView based face browser based on the
  new one from the graphical greeter.

- Accesibility work.  Add posibility of adding modules to the greeter
through  AddGtkModules and GtkModulesList.  Add guesture listeners.  Dwell
mouse  events.  (Niall Power, Brian Cameron)

- Attempt at getting things HIG-ified

- Add a "Delete theme" button to gdmsetup, add a scroll window to the
  theme preview, fixes #110302 and #104757

- PAM now asks for username itself.  This made LocalNoPasswordUsers
impossible,  and so that was removed.  This way hopefully we should work
with some more  pam setups, such as smartcard ones.  Fixes issues from
#106537


People reported bugs about this, but no answer from maintainer :( See
this bugreport: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=220492

For more info about new gdm look at this bugreport:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=197321&archive=yes

Btw, gdm contains lots of unfixed bugs, look at bugs.debian.org/gdm :(

It seems debian gdm maintainer doesn't have time to fix bugs, for example
default language bug is about 2 years old, This bug exists from these times,
when I started to use Gnome from debian unstable !!! (previous I used Gnome
from Stormix and from HelixCode)
Same with poweroff (restart) bug - some people already wroten patch for
this, why this patch isn't in Debian ?

Maybe debian-gnome team should help to maintain such important package like
gdm ?

-- 
Jabber ID: mantas@akl.lt		ICQ: mantiena <44451746>



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#220492; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #15 received at 220492@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: debian-gtk-gnome@lists.debian.org
Cc: 220492@bugs.debian.org
Subject: Re: GDM still from gnome 2.2 and contains lots of bugs :(
Date: Fri, 28 Nov 2003 11:53:58 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Nov 28, 2003 at 02:08:58AM +0200, Mantas Kriaučiūnas wrote:
> There are plans to release gdm for gnome 2.4 ?

I asked Ryan about this on IRC a few days before the security incident,
and he told me it was high on his TODO. This isn't, apparently, a
trivial task, as there's lots of Debian patches to forward port.

> It seems debian gdm maintainer doesn't have time to fix bugs, for example
> default language bug is about 2 years old, This bug exists from these times,
> when I started to use Gnome from debian unstable !!! (previous I used Gnome
> from Stormix and from HelixCode)

Ryan already commented on this list how the language thing should be
fixed, but apparently nobody has worked on it. What the maintainer
doesn't want to do is to source some random pam config file. What Debian
needs to do is to set a global language very early in the boot process.
This is necessary if we ever want translatable init scripts, anyway.
When such setup is in Debian, gdm will be able to know easily what
language to use.

> Same with poweroff (restart) bug - some people already wroten patch for
> this, why this patch isn't in Debian ?

What bug?

> Maybe debian-gnome team should help to maintain such important package like
> gdm ?

I don't think Ryan will reject help with bug triaging or help to forward
port the stuff. Not this week, I guess. There are other[1] important
things going on right now...

Jordi
[1] http://www.wiggy.net/debian/
-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/~jordi/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#220492; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Murray.Cumming@Comneon.com:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #20 received at 220492@bugs.debian.org (full text, mbox):

From: Murray.Cumming@Comneon.com
To: monte@mail.lt, 220492@bugs.debian.org
Cc: debian-gtk-gnome@lists.debian.org
Subject: RE: GDM still from gnome 2.2 and contains lots of bugs :(
Date: Fri, 28 Nov 2003 12:39:29 +0100
> It seems debian gdm maintainer doesn't have time to fix bugs, for example
default language bug is about 2 years old,

Is there at least a bugzilla.gnome.org entry for this?

Murray Cumming
www.murrayc.com
murrayc@usa.net



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#220492; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #25 received at 220492@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 220492@bugs.debian.org, debian-gtk-gnome@lists.debian.org
Subject: Re: GDM still from gnome 2.2 and contains lots of bugs :(
Date: Fri, 28 Nov 2003 17:00:47 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 28, 2003 at 12:39:29PM +0100, Murray.Cumming@Comneon.com wrote:
> > It seems debian gdm maintainer doesn't have time to fix bugs, for example
> default language bug is about 2 years old,
> 
> Is there at least a bugzilla.gnome.org entry for this?

It's a Debian packaging issue. Right now, /etc/init.d/gdm doesn't obtain
what the default configured language is in the system, so it always
starts up using the C locale. The maintainer refuses (with a reason) to
blindly source /etc/environment... so a more global mechanism is needed
to solve this.

Jordi
-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/~jordi/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#220492; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <josselin.mouette@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #30 received at 220492@bugs.debian.org (full text, mbox):

From: Josselin Mouette <josselin.mouette@ens-lyon.org>
To: debian-gtk-gnome@lists.debian.org
Cc: 220492@bugs.debian.org
Subject: Re: GDM still from gnome 2.2 and contains lots of bugs :(
Date: Sat, 29 Nov 2003 10:55:47 +0100
[Message part 1 (text/plain, inline)]
Le ven 28/11/2003 à 17:00, Jordi Mallach a écrit :
> It's a Debian packaging issue. Right now, /etc/init.d/gdm doesn't obtain
> what the default configured language is in the system, so it always
> starts up using the C locale. The maintainer refuses (with a reason) to
> blindly source /etc/environment... so a more global mechanism is needed
> to solve this.

Last time I had news about that from the glibc maintainers, they didn't
agree much with the idea of a new configuration mechanism for such
stuff. Their recommended method is to parse /etc/environment to extract
the LANG value, nothing more.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#220492; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Mantas Kriaučiūnas <mantas@akl.lt>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #35 received at 220492@bugs.debian.org (full text, mbox):

From: Mantas Kriaučiūnas <mantas@akl.lt>
To: 220492@bugs.debian.org
Cc: debian-gtk-gnome@lists.debian.org
Subject: GDM package is outdated (still from gnome 2.2) and contains lots of bugs :(
Date: Tue, 10 Feb 2004 00:38:18 +0200
Hi,

Are there any plans to release gdm for gnome 2.4 ?
Now debian has outdated version for Gnome 2.2 - look at
http://www.jirka.org/gdm.html - "2.4.1.x are the GNOME2.2 stable
versions,[..] 2.4.4.x are the GNOME 2.4 stable versions. [...]"

Several new stable versions of gdm released by upstream - for example
2.4.4.0, 2.4.4.1, 2.4.4.2, 2.4.4.3, 2.4.4.4, 2.4.4.5, 2.4.4.6 and 2.4.4.7
with lots of important changes (look for example at new graphical face
bowser at
http://art.gnome.org/images/thumbnails/gdm_greeter/GDM-Cropcircles.png):

- Completely new session setup, born out of discussions with Oswald
  Buddenhagen, the KDM maintainer, which will bring about common session
  setup for both GDM and KDM.  We now basically have a common
  /etc/X11/dm/Sessions directory where there are .desktop files are stored
  which describe sessions and these will be shared among KDM and GDM.
  Among other things this also makes the face browser default to using
  ~/.face and the per user saved info is in ~/.dmrc

(I think this is very importand for Debian)

- The greeter.dtd is updated and there is theme creation documentation
  (Brian Cameron, Aidan Butler, me)

- A face browser for the graphical greeter.  This is selecting by selecting
  a theme that implements it.  Add happygnome-list which does.
  (Patrizio Bruno, me)

- The standard greeter has a GtkTreeView based face browser based on the
  new one from the graphical greeter.

- Accesibility work.  Add posibility of adding modules to the greeter
through  AddGtkModules and GtkModulesList.  Add guesture listeners.  Dwell
mouse  events.  (Niall Power, Brian Cameron)

- Attempt at getting things HIG-ified

- Add a "Delete theme" button to gdmsetup, add a scroll window to the
  theme preview, fixes #110302 and #104757

- PAM now asks for username itself.  This made LocalNoPasswordUsers
impossible,  and so that was removed.  This way hopefully we should work
with some more  pam setups, such as smartcard ones.  Fixes issues from
#106537

GDM for Gnome 2.4 already has up to date translations (look at
http://cvs.gnome.org/bonsai/cvsblame.cgi?file=gdm2/NEWS&rev=g
nome-2-4&root=/cvs/gnome

People reported bugs about this, but there are no real work from maintainer
:( See this bugreport:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=220492

For more info about new gdm look at this bugreport:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=197321&archive=yes

Btw, gdm contains lots of unfixed bugs (about 70), look at
bugs.debian.org/gdm :(

It seems, that debian gdm maintainer doesn't have enought time to fix bugs
and to maintain this package properly, for example default language bug is
about 2 years old. People submitted patches to fix this bug, but patches
are not included in debian package :( (look at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=192143 and
http://alioth.debian.org/tracker/index.php?func=detail&aid=300466&group_id=1316&atid=410397
for more info.)
This bug exists from these times, when I started to use Gnome from debian
unstable!!! (earlier I used Gnome from Stormix and from HelixCode)
Same with poweroff (restart) bug - some people already have written patch
(and have sent to debian-gtk-gnome mailing list) for this, why this patch
isn't in Debians gdm package?

It seems, it becomes a bad tradition that Gnome in Debian has problems
because of outdated gdm package :( Look at bugreports like these old:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=147637
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=155638
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=169226
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=189787

I see only one solution - debian-gnome packaging team should help to
maintain such important package like gdm.

Please, package new version, debian users need localised and user-friendly
way to login ant logout :)

Good luck,
-- 
Mantas Kriaučiūnas
Email & Jabber ID: mantas@akl.lt	ICQ: mantiena <44451746>
Public Organization "Open Source for Lithuania"	www.akl.lt



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#220492; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to "Martin-�ric Racine" <q-funk@pp.fishpool.fi>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #40 received at 220492@bugs.debian.org (full text, mbox):

From: "Martin-Éric Racine" <q-funk@pp.fishpool.fi>
To: Debian Bug Tracking System <220492@bugs.debian.org>
Subject: gdm: 2.4.4.7 available from the GNOME 2.4.2 release point
Date: Thu, 12 Feb 2004 13:56:38 +0200
Package: gdm
Version: 2.4.1.7-1
Severity: normal
Followup-For: Bug #220492

The GNOME 2.4.2 that was released on Feb.5 includes GDM 2.4.4.7 by standard.

-- System Information:
Debian Release: testing/unstable
Architecture: powerpc
Kernel: Linux omena 2.6.1 #3 Thu Jan 22 00:49:04 EET 2004 ppc
Locale: LANG=fi_FI@euro, LC_CTYPE=fi_FI@euro (ignored: LC_ALL set to fi_FI@euro)

Versions of packages gdm depends on:
ii  adduser                     3.51         Add and remove users and groups
ii  debconf                     1.3.22       Debian configuration management sy
ii  dpkg                        1.10.18      Package maintenance system for Deb
ii  libart-2.0-2                2.3.16-1     Library of functions for 2D graphi
ii  libatk1.0-0                 1.4.1-1      The ATK accessibility toolkit
ii  libaudiofile0               0.2.3-4      The Audiofile Library
ii  libbonobo2-0                2.4.3-1      Bonobo CORBA interfaces library
ii  libbonoboui2-0              2.4.3-1      The Bonobo UI library
ii  libbz2-1.0                  1.0.2-1      A high-quality block-sorting file 
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  libesd0                     0.2.29-1     Enlightened Sound Daemon - Shared 
ii  libgconf2-4                 2.4.0.1-3    GNOME configuration database syste
ii  libgcrypt1                  1.1.12-4     LGPL Crypto library - runtime libr
ii  libglade2-0                 2.0.1-6      Library to load .glade files at ru
ii  libglib2.0-0                2.2.3-1      The GLib library of C routines
ii  libgnome2-0                 2.4.0-4      The GNOME 2 library - runtime file
ii  libgnomecanvas2-0           2.4.0-1      A powerful object-oriented display
ii  libgnomeui-0                2.4.0.1-5    The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0              2.4.1-4      The GNOME virtual file-system libr
ii  libgnomevfs2-common         2.4.1-4      The GNOME virtual file-system libr
ii  libgnutls7                  0.8.12-3.1   GNU TLS library - runtime library
ii  libgsf-1                    1.8.2-5      Structured File Library - runtime 
ii  libgtk2.0-0                 2.2.4-2      The GTK+ graphical user interface 
ii  liborbit2                   1:2.8.3-2    libraries for ORBit2 - a CORBA ORB
ii  libpam-modules              0.76-15      Pluggable Authentication Modules f
ii  libpam-runtime              0.76-15      Runtime support for the PAM librar
ii  libpam0g                    0.76-15      Pluggable Authentication Modules l
ii  libpango1.0-0               1.2.5-2.1    Layout and rendering of internatio
ii  libpopt0                    1.7-4        lib for parsing cmdline parameters
ii  librsvg2-2                  2.4.0-3      SAX-based renderer library for SVG
ii  libtasn1-0                  0.1.2-1      Manage ASN.1 structures (runtime)
ii  libwrap0                    7.6-ipv6.1-3 Wietse Venema's TCP wrappers libra
ii  libxml2                     2.6.5-1      GNOME XML library
ii  xlibs                       4.2.1-15     X Window System client libraries
ii  zlib1g                      1:1.2.1-3    compression library - runtime

-- debconf information:
  gdm/daemon_name: /usr/bin/gdm
  shared/default-x-display-manager: gdm




Merged 220492 235341. Request was from Sebastien Bacher <seb128@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Patrizio Bruno <scain@firenze.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 220492-close@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 220492-close@bugs.debian.org
Subject: Bug#220492: fixed in gdm 2.4.4.7-1
Date: Mon, 29 Mar 2004 05:47:05 -0500
Source: gdm
Source-Version: 2.4.4.7-1

We believe that the bug you reported is fixed in the latest version of
gdm, which is due to be installed in the Debian FTP archive:

gdm_2.4.4.7-1.diff.gz
  to pool/main/g/gdm/gdm_2.4.4.7-1.diff.gz
gdm_2.4.4.7-1.dsc
  to pool/main/g/gdm/gdm_2.4.4.7-1.dsc
gdm_2.4.4.7-1_i386.deb
  to pool/main/g/gdm/gdm_2.4.4.7-1_i386.deb
gdm_2.4.4.7.orig.tar.gz
  to pool/main/g/gdm/gdm_2.4.4.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 220492@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <rmurray@debian.org> (supplier of updated gdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 29 Mar 2004 01:34:16 -0800
Source: gdm
Binary: gdm
Architecture: source i386
Version: 2.4.4.7-1
Distribution: unstable
Urgency: low
Maintainer: Ryan Murray <rmurray@debian.org>
Changed-By: Ryan Murray <rmurray@debian.org>
Description: 
 gdm        - GNOME Display Manager
Closes: 84396 149388 149396 155479 190390 191598 191711 192252 212120 213188 213496 217496 218786 219040 219353 220492 221448 228295 229824
Changes: 
 gdm (2.4.4.7-1) unstable; urgency=low
 .
   * New upstream release (closes: #190390, #220492)
   * Don't run update-rc.d if the init script isn't executable (closes: #213188)
   * Use default gnome-session purge-delay (closes: #221448)
   * Add gdmflexiserver(1) manpage (closes: #149396)
   * Recommend whiptail | dialog, as the shell script works without
     them.  (closes: #228295)
   * Add menu entries (closes: #149388)
   * gdmsetup now has options for control of -nolisten tcp (closes: #155479)
   * gdm no longer reads the Sessions directory to populate the menu
     (closes: #218786)
   * Ensure char is unsigned in fd_getc, use the utf8 string in the standard
     greeter (closes: #217496)
   * Don't reparse xmodmap/xkb in session script (closes: #191598)
   * The GDM manual is back, and covers this.  As well, it's totally different
     in this version (closes: #229824)
   * Use /etc/X11/Xsession.d/* for the tail end of session setup
     (closes: #191711, #192252, #212120, #219040)
   * Happygnome and Circles theme sizes increased upstream (closes: #219353)
   * With the new Xsession.in that uses the Xsession.d dir to start up, and the
     /etc/dm/Sessions dir supported by kdm and gdm for programs to indicate they
     should be on the session list, all that's needed is those programs to supply
     desktop files for /etc/dm/Sessions (closes: #84396)
   * Don't always specify the charset when setting locales (closes: #213496)
   * Don't ship the gnome.desktop session file; gnome-session will.
   * Add |'d dependency on possible session programs, so at least one will
     be installed.
Files: 
 6e2f7e2866525f733fec97a285675118 648 gnome optional gdm_2.4.4.7-1.dsc
 337a4d4f2fa8263a4a77a678cbf460ff 3974352 gnome optional gdm_2.4.4.7.orig.tar.gz
 4770e123d97727ea9dfdb3e032e41a31 196529 gnome optional gdm_2.4.4.7-1.diff.gz
 eb97ff0ebec3bca11ae2c6b0d6e61cf6 2056858 gnome optional gdm_2.4.4.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAZ/iCN2Dbz/1mRasRAr2hAJ4uc+SidfGEYUqRNTKJe8V/6arfNwCgs76u
PMtFvZC1y7ucmUdLQ2KfCOA=
=F9s2
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:44:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.